declare type OnOff = 'YES' | 'NO';
export declare type Func = (...args: any[]) => any;
export interface IAppConfig extends IUsingComponentConfig {
    pages: string[];
    tabBar?: IAppTabBar;
    subPackages?: ISubPackageConfig[];
    subpackages?: ISubPackageConfig[];
    window?: IWindowConfig;
    [prop: string]: any;
}
interface IAppTabBar {
    custom?: boolean;
    textColor?: string;
    selectedColor?: string;
    backgroundColor?: string;
    items: IAppTabBarItem[];
}
interface IAppTabBarItem {
    pagePath: string;
    name: string;
    icon?: string;
    activeIcon?: string;
}
export interface ISubPackageConfig {
    root: string;
    pages: string[];
    independent?: boolean;
}
export interface IPluginConfig {
    pages?: string[];
    publicComponents?: Record<string, string>;
    publicPages?: Record<string, string>;
    main?: string;
}
export interface IUsingComponentConfig {
    usingComponents?: Record<string, string>;
    componentPlaceholder?: Record<string, string>;
    componentGenerics?: Record<string, boolean | Record<'default', string>>;
}
export interface IPageConfig extends IWindowConfig, IUsingComponentConfig {
}
export interface IComponentConfig extends IUsingComponentConfig {
    component: boolean;
    [prop: string]: any;
}
interface IWindowConfig {
    defaultTitle?: string;
    pullRefresh?: boolean;
    allowsBounceVertical?: OnOff;
    transparentTitle?: 'none' | 'always' | 'auto';
    titlePenetrate?: OnOff;
    showTitleLoading?: OnOff;
    titleImage?: string;
    titleBarColor?: string;
    backgroundColor?: string;
    backgroundImageColor?: string;
    backgroundImageUrl?: string;
    gestureBack?: OnOff;
    enableScrollBar?: OnOff;
    onReachBottomDistance?: number;
    responsive?: boolean;
    [prop: string]: any;
}
export {};
